/*   File              : $Workfile: PORTAB.H$
 *
 *   Description       : portable definitions for 'C'
 *
 *   Original Author   : 
 *
 *   Last Edited By    : $Author: AWIGHTMA$
 *
 ************************************************************************
 *       Copyright 1999, Caldera Thin Clients, Inc.                     *
 *       This software is licenced under the GNU Public License.        *
 *       Please see LICENSE.TXT for further information.                *
 *                                                                      *
 *                  Historical Copyright                                *
 *                                                                      *
 *	Copyright (C) 1976-1992 Digital Research Inc. All rights	*
 *	reserved. The Software Code contained in this listing is	*
 *	proprietary to Digital Research Inc., Monterey,			*
 *	California, and is covered by U.S. and other copyright		*
 *	protection. Unauthorized copying, adaption, distribution,	*
 *	use or display is prohibited and may be subject to civil	*
 *	and criminal penalties. Disclosure to others is			*
 *	prohibited. For the terms and conditions of software use,	*
 *	refer to the appropriate Digital Research Licence		*
 *	Agreement.							*
 ************************************************************************
 *
 *   *** Current Edit History ***
 *   *** End of Current Edit History ***
 *
 *   $Log: $
 *   PORTAB.H 1.1 92/07/23 18:07:14 AWIGHTMA
 *   
 *
 *   ENDLOG
 */
#define mc68k 0
/****************************************************************************
*
*	  C P / M   C   R U N   T I M E   L I B   H E A D E R   F I L E
*	  -------------------------------------------------------------
*
*
*	This is an include file for assisting the user to write portable
*	programs for C.
*
****************************************************************************/
#define UCHARA 1				/* if char is unsigned     */
/*
 *	Standard type definitions
 */
#define	BYTE	char				/* Signed byte		   */
#define BOOLEAN	int				/* 2 valued (true/false)   */
#define	WORD	int  				/* Signed word (16 bits)   */
#define	UWORD	unsigned int			/* unsigned word	   */

#define	LONG	long				/* signed long (32 bits)   */
#define	ULONG	long				/* Unsigned long	   */

#define	REG	register			/* register variable	   */
#define	LOCAL	auto				/* Local var on 68000	   */
#define	EXTERN	extern				/* External variable	   */
#define	MLOCAL	static				/* Local to module	   */
#define	GLOBAL	/**/				/* Global variable	   */
#define	VOID	void				/* Void function return	   */
#define	DEFAULT	int				/* Default size		   */

#ifdef UCHARA
#define UBYTE	char				/* Unsigned byte 	   */
#else
#define	UBYTE	unsigned char			/* Unsigned byte	   */
#endif

/****************************************************************************/
/*	Miscellaneous Definitions:					    */
/****************************************************************************/
#define	FAILURE	(-1)			/*	Function failure return val */
#define SUCCESS	(0)			/*	Function success return val */
#define	YES	1			/*	"TRUE"			    */
#define	NO	0			/*	"FALSE"			    */
#define	FOREVER	for(;;)			/*	Infinite loop declaration   */
#define	NULL	(void *) 0		/*	Null pointer value	    */
#define NULLPTR (void *) 0		/*				    */
#define	EOF	(-1)			/*	EOF Value		    */
#define	TRUE	(1)			/*	Function TRUE  value	    */
#define	FALSE	(0)			/*	Function FALSE value	    */
#define ibmvdi  (0)			/*      ibmvdi flag for c code      */
